Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface ISelectDataComponent

All Superinterfaces:
  `IChartUIAccessible`

public interface ISelectDataComponent extends IChartUIAccessible

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.swt.widgets.Listener listener)`
`org.eclipse.swt.widgets.Composite`
`createArea(org.eclipse.swt.widgets.Composite parent)`
`void`
`dispose()`
`void`
`selectArea(boolean selected, Object data)`

### Methods inherited from interface org.eclipse.birt.chart.ui.swt.interfaces.IChartUIAccessible

`bindAssociatedLabel, bindAssociatedName`

## Method Details

### createArea

org.eclipse.swt.widgets.Composite createArea(org.eclipse.swt.widgets.Composite parent)

### selectArea

void selectArea(boolean selected, Object data)

### dispose

void dispose()

### addListener

void addListener(org.eclipse.swt.widgets.Listener listener)